Skip to content

Dry-run a parser

POST
/v1/parsers/test

Run an inline v2 config or owned stored parser through the production extraction path. Supply exactly one of config/parser_id and exactly one of url/body. URL tests bill scrape credits and have an additional 30/minute cap; body tests (maximum 2 MB) are free. Nothing is stored.

object
config

A v2 flat parser config. See the Parsers guide for HTML, JSON, API, regex, list mode, field typing, and transforms.

object
name
string
type
required
string
Allowed values: html json api regex
fields
required
Array<object>
>= 1 items <= 64 items
object
key
additional properties
any
item_selector
string
item_selector_type
string
Allowed values: css xpath
item_path
string
json_source
object
key
additional properties
any
key
additional properties
any
parser_id
string
url
string format: uri
body
string
scrape_config

Fetch override. Credit price depends on browser and proxy settings.

object
useBrowser
boolean
waitSeconds
number
waitForBrowser
string
proxy

default, highquality, hardcore, premium, or premium:<country code>.

string

Compact extraction diagnostics.

object
ok
boolean
fetch
object
key
additional properties
any
items_matched
integer
fields
object
key
additional properties
object
warnings
Array<string>
data_sample
credits_used
integer

Malformed request.

object
error
required
string
Example
invalid request
field

Field that failed validation.

string
detail
string
hint
string

Missing or invalid API key.

object
error
required
string
Example
invalid request
field

Field that failed validation.

string
detail
string
hint
string

Insufficient unreserved credits.

object
error
required
string
Example
insufficient credits
required
required
integer
available
required
integer

Resource missing or not owned by this account.

object
error
required
string
Example
invalid request
field

Field that failed validation.

string
detail
string
hint
string

Validation failed.

object
error
required
string
Example
invalid request
field

Field that failed validation.

string
detail
string
hint
string

Request, concurrency, or plan limit exceeded.

One of:
object
error
required
string
Example
invalid request
field

Field that failed validation.

string
detail
string
hint
string
Retry-After
integer

Seconds to wait when supplied.